<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>polylib: example.c Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.6 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
<h1>example.c</h1><a href="example_8c.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
<a name="l00002"></a>00002 <span class="comment">/* </span>
<a name="l00003"></a>00003 <span class="comment">  main.c</span>
<a name="l00004"></a>00004 <span class="comment">    This file along with Zpolyhedron.c, polyhedron.c, Lattice.c,  </span>
<a name="l00005"></a>00005 <span class="comment">    Matop.c SolveDio.c, matrix.c and vector.c does the following :</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">     - Intersection of two Z-Domains.</span>
<a name="l00008"></a>00008 <span class="comment">     - Difference of two Z-domains. </span>
<a name="l00009"></a>00009 <span class="comment">     - Image of a Z-domain by a invertible, </span>
<a name="l00010"></a>00010 <span class="comment">        affine rational function. </span>
<a name="l00011"></a>00011 <span class="comment">*/</span>
<a name="l00012"></a>00012 
<a name="l00013"></a>00013 <span class="preprocessor">#include &lt;<a class="code" href="polylib_8h.html">polylib/polylib.h</a>&gt;</span>
<a name="l00014"></a>00014 
<a name="l00015"></a><a class="code" href="example_8c.html#e66f6b31b5ad750f1fe042a706a4e3d4">00015</a> <span class="keywordtype">int</span> <a class="code" href="c2p_8c.html#e66f6b31b5ad750f1fe042a706a4e3d4">main</a> () {
<a name="l00016"></a>00016   
<a name="l00017"></a>00017   <a class="code" href="structmatrix.html">Matrix</a> *a, *b; 
<a name="l00018"></a>00018   <a class="code" href="structpolyhedron.html">Polyhedron</a> *P;
<a name="l00019"></a>00019   <a class="code" href="structZPolyhedron.html">ZPolyhedron</a> *Z1, *Z2, *Z3, *Z4;
<a name="l00020"></a>00020   
<a name="l00021"></a>00021   a = <a class="code" href="matrix_8c.html#3a087ae9a03d5baf0b81831177931143">Matrix_Read</a> ();
<a name="l00022"></a>00022   b = <a class="code" href="matrix_8c.html#3a087ae9a03d5baf0b81831177931143">Matrix_Read</a> ();
<a name="l00023"></a>00023   P = <a class="code" href="polyhedron_8c.html#efb77665a187d751bdd44f106b12465e" title="Given a matrix of constraints (&amp;#39;Constraints&amp;#39;), construct and return a polyhedron...">Constraints2Polyhedron</a> (b, 200);
<a name="l00024"></a>00024   Z1 = <a class="code" href="Zpolyhedron_8c.html#ea228bbc24564d06a571d0cae4303faa">ZPolyhedron_Alloc</a> (a, P);
<a name="l00025"></a>00025   
<a name="l00026"></a>00026   <a class="code" href="matrix_8c.html#fcb312b7c12a6997cd66964ecc34e1a6">Matrix_Free</a> (a);
<a name="l00027"></a>00027   <a class="code" href="matrix_8c.html#fcb312b7c12a6997cd66964ecc34e1a6">Matrix_Free</a> (b);
<a name="l00028"></a>00028   <a class="code" href="polyhedron_8c.html#e6d0a7daf8e801a777fc8e93d8cfe43a">Domain_Free</a> (P);
<a name="l00029"></a>00029   
<a name="l00030"></a>00030   a = <a class="code" href="matrix_8c.html#3a087ae9a03d5baf0b81831177931143">Matrix_Read</a> ();
<a name="l00031"></a>00031   b = <a class="code" href="matrix_8c.html#3a087ae9a03d5baf0b81831177931143">Matrix_Read</a> ();
<a name="l00032"></a>00032   P = <a class="code" href="polyhedron_8c.html#efb77665a187d751bdd44f106b12465e" title="Given a matrix of constraints (&amp;#39;Constraints&amp;#39;), construct and return a polyhedron...">Constraints2Polyhedron</a> (b, 200);
<a name="l00033"></a>00033   Z2 = <a class="code" href="Zpolyhedron_8c.html#ea228bbc24564d06a571d0cae4303faa">ZPolyhedron_Alloc</a> (a, P);
<a name="l00034"></a>00034   
<a name="l00035"></a>00035   <a class="code" href="matrix_8c.html#fcb312b7c12a6997cd66964ecc34e1a6">Matrix_Free</a> (a); 
<a name="l00036"></a>00036   <a class="code" href="matrix_8c.html#fcb312b7c12a6997cd66964ecc34e1a6">Matrix_Free</a> (b); 
<a name="l00037"></a>00037   <a class="code" href="polyhedron_8c.html#e6d0a7daf8e801a777fc8e93d8cfe43a">Domain_Free</a> (P);
<a name="l00038"></a>00038   
<a name="l00039"></a>00039   Z3 = <a class="code" href="Zpolyhedron_8c.html#0f747089a4e82c008210f9cf959643ee">ZDomainIntersection</a> (Z1, Z2);
<a name="l00040"></a>00040   printf (<span class="stringliteral">"\nZ3 = Z1 and Z2"</span>);
<a name="l00041"></a>00041   <a class="code" href="Zpolyhedron_8c.html#77aed9aa9a109db0a32d453421a9fed9">ZDomainPrint</a>(stdout,<a class="code" href="types_8h.html#e6f16bcd4a42ba51cbb003e3d1e1cde6">P_VALUE_FMT</a>, Z3);
<a name="l00042"></a>00042 
<a name="l00043"></a>00043   a = <a class="code" href="matrix_8c.html#3a087ae9a03d5baf0b81831177931143">Matrix_Read</a> ();
<a name="l00044"></a>00044   Z4 = <a class="code" href="Zpolyhedron_8c.html#15cca433d2f4720b50b582177d500159">ZDomainImage</a> (Z1, a);
<a name="l00045"></a>00045   printf (<span class="stringliteral">"\nZ4 = image (Z1 by a)"</span>);
<a name="l00046"></a>00046   <a class="code" href="Zpolyhedron_8c.html#77aed9aa9a109db0a32d453421a9fed9">ZDomainPrint</a> (stdout,<a class="code" href="types_8h.html#e6f16bcd4a42ba51cbb003e3d1e1cde6">P_VALUE_FMT</a>, Z4);
<a name="l00047"></a>00047 
<a name="l00048"></a>00048   <a class="code" href="matrix_8c.html#fcb312b7c12a6997cd66964ecc34e1a6">Matrix_Free</a> (a);
<a name="l00049"></a>00049   <a class="code" href="Zpolyhedron_8c.html#4c358b8a8cc20a9ca35f76966ce20242">ZDomain_Free</a> (Z1);
<a name="l00050"></a>00050   <a class="code" href="Zpolyhedron_8c.html#4c358b8a8cc20a9ca35f76966ce20242">ZDomain_Free</a> (Z2);
<a name="l00051"></a>00051   <a class="code" href="Zpolyhedron_8c.html#4c358b8a8cc20a9ca35f76966ce20242">ZDomain_Free</a> (Z3);
<a name="l00052"></a>00052   <a class="code" href="Zpolyhedron_8c.html#4c358b8a8cc20a9ca35f76966ce20242">ZDomain_Free</a> (Z4);
<a name="l00053"></a>00053   
<a name="l00054"></a>00054   <span class="keywordflow">return</span> 0;
<a name="l00055"></a>00055 } <span class="comment">/* main */</span>
</pre></div></div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Sep 15 18:33:59 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>
</body>
</html>
